<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity WorkOrder.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idcustomer"
                                 baseTableName="work_order"
                                 constraintName="fk_work_order_customer_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="customer"/>

        <addForeignKeyConstraint baseColumnNames="idmechanic"
                                 baseTableName="work_order"
                                 constraintName="fk_work_order_mechanic_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="mechanic"/>

        <addForeignKeyConstraint baseColumnNames="idvehide"
                                 baseTableName="work_order"
                                 constraintName="fk_work_order_vehicle_id"
                                 referencedColumnNames="idvehide"
                                 referencedTableName="vehicle_identification"/>

    </changeSet>
</databaseChangeLog>
